Subject: Re: libtool bug
From: Han-Wen Nienhuys <[email-masked]>
To: Charles Wilson <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Oct 2004 01:06:40 +0200

[email-masked] writes:
> I wrote:
> >  This:
> > 
> >     gcc -shared .libs/srfi-1.o -L/lib -L/usr/lib
> >     -L/home/Hanwen/src/guile-1.7.1/libguile-ltdl/.libs -L/usr/local/lib
> >     -lguile -lpthread -lgmp -lcrypt -o
> >     .libs/cygguile-srfi-srfi-1-v-2-2.dll -Wl,--image-base=0x10000000
> >     -Wl,--out-implib,.libs/libguile-srfi-srfi-1-v-2.dll.a
> > 
> > ought to succeed, IF
> >   /home/Hanwen/src/guile-1.7.1/libguile-ltdl/.libs
> > contains any of the following:
> > 
> >           libguile.dll.a
> >           guile.dll.a
> >           libguile.a
> >           cygguile.dll
> >           libguile.dll
> >           guile.dll
> > 
> > That's what
> > -L/home/Hanwen/src/guile-1.7.1/libguile-ltdl/.libs  -lguile
> > MEANS, after all. 

Evidently, this fails, because  libguile.dll.a lives in
/home/Hanwen/src/guile-1.7.1/libguile/.libs; however,
running GCC with

  -L/home/Hanwen/src/guile-1.7.1/libguile/.libs -lguile

does work, so libtool is incorrectly translating the commandline.
I take that I don't need to run GCC with  -Wl,verbose  ? 

-- 

 Han-Wen Nienhuys   |   [email-masked]   |   http://www.xs4all.nl/~hanwen 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/